require 'spec_helper'
describe "SchedulesController" do
  before do
    @event = Event.create(name: "test", held_at: Time.new(2012, 6, 25))
    post "/schedules/#{@event.id}/create", \
      { schedule: {user_name: "test"}, status: "OK" }
  end
  after { [Event, Schedule].each &:destroy }

  it "creates a schedule" do
    Schedule.count.should == 1
  end

  it "should redirect to the original event page" do
    last_response.should be_redirect
    follow_redirect!
    last_request.path.should == "/#{@event.id}"
  end
end
